commit d776a618adf85def890a4c73b44ef5683e71c385
Author: raveit65 <mate@raveit.de>
Date:   2023-08-22

    release 1.27.1

M	NEWS
M	configure.ac
M	meson.build

commit 91ec8e6c1a07c6dd3b74f40f3bdc53183f177834
Author: raveit65 <mate@raveit.de>
Date:	2023-08-22

    tx: pull with transifex

M	help/af/af.po
M	help/am/am.po
M	help/ar/ar.po
M	help/az/az.po
M	help/be/be.po
M	help/bg/bg.po
M	help/bn/bn.po
M	help/bs/bs.po
M	help/ca/ca.po
M	help/ca@valencia/ca@valencia.po
M	help/cmn/cmn.po
M	help/cs/cs.po
M	help/cy/cy.po
M	help/da/da.po
M	help/de/de.po
M	help/el/el.po
M	help/en_AU/en_AU.po
M	help/en_CA/en_CA.po
M	help/en_GB/en_GB.po
M	help/eo/eo.po
M	help/es/es.po
M	help/et/et.po
M	help/eu/eu.po
M	help/fa/fa.po
M	help/fi/fi.po
M	help/fr/fr.po
M	help/ga/ga.po
M	help/gl/gl.po
M	help/gu/gu.po
M	help/he/he.po
M	help/hi/hi.po
M	help/hr/hr.po
M	help/hu/hu.po
M	help/hy/hy.po
M	help/id/id.po
M	help/is/is.po
M	help/it/it.po
M	help/ja/ja.po
M	help/kk/kk.po
M	help/ko/ko.po
M	help/ky/ky.po
M	help/lt/lt.po
M	help/lv/lv.po
M	help/mk/mk.po
M	help/mn/mn.po
M	help/ms/ms.po
M	help/nb/nb.po
M	help/ne/ne.po
M	help/nl/nl.po
M	help/nn/nn.po
M	help/nso/nso.po
M	help/oc/oc.po
M	help/pa/pa.po
M	help/pl/pl.po
M	help/pt/pt.po
M	help/pt_BR/pt_BR.po
M	help/ro/ro.po
M	help/ru/ru.po
M	help/sk/sk.po
M	help/sl/sl.po
M	help/sq/sq.po
M	help/sr/sr.po
M	help/sr@latin/sr@latin.po
M	help/sv/sv.po
M	help/ta/ta.po
M	help/th/th.po
M	help/tr/tr.po
M	help/uk/uk.po
M	help/vi/vi.po
M	help/wa/wa.po
M	help/xh/xh.po
M	help/zh_CN/zh_CN.po
M	help/zh_TW/zh_TW.po
M	help/zu/zu.po
M	po/af.po
M	po/am.po
M	po/ar.po
M	po/as.po
M	po/ast.po
M	po/az.po
M	po/be.po
M	po/bg.po
M	po/bn.po
M	po/bn_IN.po
M	po/br.po
M	po/bs.po
M	po/ca.po
M	po/ca@valencia.po
M	po/cmn.po
M	po/crh.po
M	po/cs.po
M	po/cy.po
M	po/da.po
M	po/de.po
M	po/dz.po
M	po/el.po
M	po/en_AU.po
M	po/en_CA.po
M	po/en_GB.po
M	po/eo.po
M	po/es.po
M	po/es_AR.po
M	po/es_CL.po
M	po/es_CO.po
M	po/es_CR.po
M	po/es_DO.po
M	po/es_EC.po
M	po/es_ES.po
M	po/es_MX.po
M	po/es_NI.po
M	po/es_PA.po
M	po/es_PE.po
M	po/es_PR.po
M	po/es_SV.po
M	po/es_UY.po
M	po/es_VE.po
M	po/et.po
M	po/eu.po
M	po/fa.po
M	po/fi.po
M	po/fr.po
M	po/frp.po
M	po/fur.po
M	po/fy.po
M	po/ga.po
M	po/gd.po
M	po/gl.po
M	po/gu.po
M	po/ha.po
M	po/he.po
M	po/hi.po
M	po/hr.po
M	po/hu.po
M	po/hy.po
M	po/ia.po
M	po/id.po
M	po/ie.po
M	po/ig.po
M	po/is.po
M	po/it.po
M	po/ja.po
M	po/ka.po
M	po/kab.po
M	po/kk.po
M	po/kn.po
M	po/ko.po
M	po/ks.po
M	po/ku.po
M	po/ku_IQ.po
M	po/ky.po
M	po/li.po
M	po/lt.po
M	po/lv.po
M	po/mai.po
M	po/mg.po
M	po/mi.po
M	po/mk.po
M	po/ml.po
M	po/mn.po
M	po/mr.po
M	po/ms.po
M	po/nb.po
M	po/nds.po
M	po/ne.po
M	po/nl.po
M	po/nn.po
M	po/nso.po
M	po/oc.po
M	po/or.po
M	po/pa.po
M	po/pl.po
M	po/pms.po
M	po/ps.po
M	po/pt.po
M	po/pt_BR.po
M	po/ro.po
M	po/ru.po
M	po/rw.po
M	po/sc.po
M	po/si.po
M	po/sk.po
M	po/sl.po
M	po/sq.po
M	po/sr.po
M	po/sr@latin.po
M	po/sv.po
M	po/ta.po
M	po/te.po
M	po/th.po
M	po/tk.po
M	po/tr.po
M	po/tt.po
M	po/ug.po
M	po/uk.po
M	po/ur.po
M	po/ur_PK.po
M	po/uz.po
M	po/vi.po
M	po/wa.po
M	po/xh.po
M	po/yi.po
M	po/yo.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po
M	po/zu.po

commit 248ef1aa5a6bbaa65387508b81f3fe2ebbc5ec7d
Author: zhuyaliang <15132211195@163.com>
Date:	2023-08-04

    Check if the remaining disk space is sufficient when add extract

M	src/fr-window.c

commit 45f52c13baa93857d912effb4f1f9a58c41a0da3
Author: zhuyaliang <15132211195@163.com>
Date:	2023-07-19

    priority useing get_mime_type_from_filename to obtain mime type
    MAGIC returned incorrect mime type while processing tar compression
    type
    Fix https://github.com/mate-desktop/engrampa/issues/492

M	src/fr-archive.c

commit 79c9b8ee20cdf11c69dde173c5f04d51d5f8c778
Author: Colomban Wendling <cwendling@hypra.fr>
Date:	2023-06-14

    Fix MIME detection logic from #490

    A blooper has been made there:

    * if ENABLE_MIME is set, the intention was to try, in order: magic,
      content, filename; but it was made filename, content, magic (which
      was the same as before the changes);
    * if ENABLE_MIME is not set, the intention was to try, in order:
      filename, content, magic; but it has been made magic, content, magic
      (notice the duplicate, and the missing "filename").

    This probably doesn't change much in the wild as magic is gonna work
    most of the time, but it's especially problematic that the
    non-libmagic
    case doesn't have the filename test.

    Anyway, fix this so the code is consistent, and we retain the behavior
    for the non-libmagic case, and have the new expected one for the
    libmagic case.

M	src/fr-archive.c

commit 8e33e604d87e90bda3cc748bc1627c164d72a16c
Author: Toyeesh Sinha <toyeshsainik@gmail.com>
Date:	2023-06-14

    Update to change the fallback and fix gzip issue

M	src/file-utils.c
M	src/fr-archive.c
M	src/fr-init.c

commit 5602738e3eb15652a7e979a9c85fc6478401761c
Author: Toyeesh Sinha <toyeshsainik@gmail.com>
Date:	2023-06-09

    Fixed libmagic bug

M	src/fr-archive.c

commit a043e0a81460a94e0732672afc3831689984caf8
Author: xmusjackson <viking.chris@live.com>
Date:	2023-05-14

    Add "Extract to subdirectory" option

    This commit adds an "Extract to subdirectory" option to
    the extract dialog which allows the user to extract the
    contents of the archive to a directory with the name of
    the archive (without the extension.) The user will be
    prompted if the directory must be created.

    file-utils.c: Improve remove_extension_from_path

    Rework this function so that it correctly parses and
    truncates files with multiple extensions like .tar.gz

    file-utils.c: Improve get_file_extension

    Improve this function to correctly identify and return
    supported compressed tar file extensions

M	data/org.mate.engrampa.gschema.xml.in
M	src/dlg-extract.c
M	src/file-utils.c
M	src/fr-window.c
M	src/fr-window.h
M	src/preferences.h
M	src/ui/dlg-extract.ui

commit e4cdb9e1a846390bafef8e36085242f793464edd
Author: zhuyaliang <15132211195@163.com>
Date:	2023-05-19

    Add meson compilation support

A	caja/meson.build
A	data/icons/meson.build
A	data/meson.build
A	help/LINGUAS
A	help/meson.build
A	meson.build
A	meson_options.txt
A	po/meson.build
A	postinstall.py
A	src/meson.build
A	src/sh/meson.build
A	subprojects/mate-submodules.wrap

commit 41a0cad8fafe515f56854462dd62c1b1bd94a393
Author: zhuyaliang <15132211195@163.com>
Date:	2023-05-12

    Set the current folder of the file chooser dialog using a local
    file name

M	src/dlg-extract.c

commit 77bc1e4361f2f5fe2f94615b675e6c454e6f8748
Author: zhuyaliang <15132211195@163.com>
Date:	2023-05-10

    Fix failure to extract multiple files

M	src/glib-utils.c

commit 4a7a10a0eac6ee5f54b46f2f3f26d4b9693b4d9c
Author: zhuyaliang <15132211195@163.com>
Date:	2023-05-11

    Uniform file chooser dialog margin size

M	src/ui/new.ui

commit 2750084388d9cb6164a99be13070f5d8b56e866b
Author: zhuyaliang <15132211195@163.com>
Date:	2023-05-11

    Archive do not track symbolic link
    g_file_enumerate_children_async default should use
    G_FILE_QUERY_INFO_NOFOLLOW_SYMLINKS. This can avoid link loops

M	src/gio-utils.c
M	src/gio-utils.h

commit 9cbea8d2e8f14ea4477c21d8fdf14d58ec00f6a9
Author: zhuyaliang <15132211195@163.com>
Date:	2023-05-12

    Fix failed restore of saved sessions

M	src/main.c

commit 2cd5fa803bba18be69a06d6b1342491a7524e0a1
Author: Guido Berhoerster <guido+freiesoftware@berhoerster.name>
Date:	2023-05-08

    Add MIME aliases for gzip and bzip2

    The application/gzip alias is e.g. provided by FileRoller and Ark,
    application/bzip2 is provided by FileRoller.

M	data/engrampa.desktop.in.in

commit fcaf6442f0085d728de9e295208afbb2aff6c1e9
Author: zhuyaliang <15132211195@163.com>
Date:	2023-05-04

    Replace deprecated functions and fix compilation warnings
    Replacing GtkAction with GAction
    Replacing GtkUIManager with GtkBuilder

M	src/actions.c
M	src/actions.h
M	src/fr-command-7z.c
M	src/fr-command.c
M	src/fr-command.h
M	src/fr-window.c
M	src/glib-utils.c
M	src/ui.h
M	src/ui/menus-toolbars.ui

commit 6f49d2c72ea1ade71df33a301d5192c2a127e790
Author: zhuyaliang <15132211195@163.com>
Date:	2023-03-20

    command-7z: Add new 7-zip(7zz and 7zzs) project support

M	data/packages.match
M	src/fr-command-7z.c
M	src/fr-command-tar.c

commit 872b71b88462358ab8bfe0fb83d4ce00abccb747
Author: Florian Weimer <fweimer@redhat.com>
Date:	2023-04-14

    file-utils: Include <strings.h> for strcasecmp

    The _XOPEN_SOURCE macro definition overrides _DEFAULT_SOURCE
    and disables the declaration in <string.h>.

    This avoids an implicit function declaration and build failures
    with future compilers.

M	src/file-utils.c

commit bfad1975223ff5da6e998f3ad20fdc52e0fe94ca
Author: zhuyaliang <15132211195@163.com>
Date:	2023-04-14

    action: Delete unused sort_by_entries code

M	src/actions.c
M	src/actions.h
M	src/fr-window.c
M	src/fr-window.h
M	src/ui.h

commit 9c8ab8787724da4603c023adf406d0d4909bb8de
Author: rbuj <robert.buj@gmail.com>
Date:	2022-01-30

    fr-process: fix memory leak

M	src/fr-process.c

commit 457669530e7f68a8b777ea2aaa61d79cf3c2a673
Author: zhuyaliang <15132211195@163.com>
Date:	2023-04-06

    UI: Remove useless code and file

M	po/POTFILES.in
M	src/engrampa.gresource.xml
M	src/ui/Makefile.am
D	src/ui/app-menu.ui
M	src/ui/menus-toolbars.ui

commit 1b316395e529c3af334953eb0bd8908aebc29bab
Author: zhuyaliang <15132211195@163.com>
Date:	2023-03-23

    Fix icon missing when compressing files with the right mouse button

M	src/dlg-batch-add.c

commit e424eb21db35129aee934aa528bddff0869b7a38
Author: zhuyaliang <15132211195@163.com>
Date:	2023-03-24

    Extract: add the function of automatically closing the dialog box
    after decompression

M	data/org.mate.engrampa.gschema.xml.in
M	src/dlg-extract.c
M	src/fr-window.c
M	src/fr-window.h
M	src/preferences.h
M	src/ui/dlg-extract.ui

commit 4ee39ab04260179144ebb9ac7160df79a5b1e6fc
Author: Đoàn Trần Công Danh <congdanhqx@gmail.com>
Date:	2020-12-15

    zstd: support both old and new mime type

    As of it's now, we're supporting zstd {,de}compression with specific
    mime type that was reported by libmagic as configure time. Thus, the
    built binaries is not correct after upgrading file-devel after
    configure. In addition, this configure's time hard-coded value prevent
    our users from partial upgrade.

    Let's accept both mime types reported by both old and new file-devel.
    For the mapping between file extensions and mime types, let's
    choose the
    new mime value.

M	caja/caja-engrampa.c
M	configure.ac
M	data/engrampa.desktop.in.in
M	src/fr-command-cfile.c
M	src/fr-init.c

commit a36c201627e687e99d1c8b8f3b32e864cede7662
Author: rbuj <robert.buj@gmail.com>
Date:	2022-07-24

    fr-command-rar: Parameter 'line' can be declared with const

M	src/fr-command-rar.c

commit 16ef96fa57c1e1f550b9de13f4d87ad4c5ce9452
Author: zhuyaliang <15132211195@163.com>
Date:	2023-03-15

    Fix archive file save as function

M	src/actions.c
M	src/dlg-new.c
M	src/dlg-new.h
M	src/fr-window.c

commit c7bb2fa397156a1ce000fe375acfe82a39d51cb0
Author: rbuj <robert.buj@gmail.com>
Date:	2022-03-14

    glib-utils: redundant condition

M	src/glib-utils.c

commit 54d7198819fee2630dee644c149320a5ad4a5b88
Author: jishengjie <jishengjie@kylinos.cn>
Date:	2022-12-14

    fix: Encrypted documents in all formats cannot be successfully pasted
    to the specified directory after copying and cutting encrypted files
    and folders

M	src/fr-command.c

commit c279d858e62bb7d6dbca8e3686e22a5bf88c79f8
Author: jishengjie <jishengjie@kylinos.cn>
Date:	2022-12-14

    fix: Encrypted documents in. 7z format cannot delete locked files
    and folders

M	src/fr-command-7z.c
M	src/fr-window.c
M	src/fr-window.h

commit c16b9005558acb5d6cfa23259604c26f8919d8bd
Author: rbuj <robert.buj@gmail.com>
Date:	2022-07-24

    fr-window: fix -Wincompatible-pointer-types warning

M	src/fr-window.c

commit a1c676d40894ad3f6884982da48bf4bb3fd1faf4
Author: rbuj <robert.buj@gmail.com>
Date:	2022-07-24

    file-utils: remove unused functions

M	src/file-utils.c
M	src/file-utils.h

commit cdf61f68217ee1972818437b4513c8d991201a6b
Author: rbuj <robert.buj@gmail.com>
Date:	2022-07-25

    fr-command-rar: parse date & time using strptime

M	src/fr-command-rar.c

commit 90382856772188673317847cf0c0445012d9f403
Author: mbkma <johannes.unruh@fau.de>
Date:	2022-11-11

    release 1.27.0

M	NEWS
M	configure.ac

commit c971d9c369b83e8afe7b62d2ccf54524860e0e60
Author: mbkma <johannes.unruh@fau.de>
Date:	2022-11-09

    tx: sync with transifex

M	help/af/af.po
M	help/am/am.po
M	help/ar/ar.po
M	help/az/az.po
M	help/be/be.po
M	help/bg/bg.po
M	help/bn/bn.po
M	help/bs/bs.po
M	help/ca/ca.po
M	help/ca@valencia/ca@valencia.po
M	help/cmn/cmn.po
M	help/cs/cs.po
M	help/cy/cy.po
M	help/da/da.po
M	help/de/de.po
M	help/el/el.po
M	help/en_AU/en_AU.po
M	help/en_CA/en_CA.po
M	help/en_GB/en_GB.po
M	help/eo/eo.po
M	help/es/es.po
M	help/et/et.po
M	help/eu/eu.po
M	help/fa/fa.po
M	help/fi/fi.po
M	help/fr/fr.po
M	help/ga/ga.po
M	help/gl/gl.po
M	help/gu/gu.po
M	help/he/he.po
M	help/hi/hi.po
M	help/hr/hr.po
M	help/hu/hu.po
M	help/hy/hy.po
M	help/id/id.po
M	help/is/is.po
M	help/it/it.po
M	help/ja/ja.po
M	help/kk/kk.po
M	help/ko/ko.po
M	help/ky/ky.po
M	help/lt/lt.po
M	help/lv/lv.po
M	help/mk/mk.po
M	help/mn/mn.po
M	help/ms/ms.po
M	help/nb/nb.po
M	help/ne/ne.po
M	help/nl/nl.po
M	help/nn/nn.po
M	help/nso/nso.po
M	help/oc/oc.po
M	help/pa/pa.po
M	help/pl/pl.po
M	help/pt/pt.po
M	help/pt_BR/pt_BR.po
M	help/ro/ro.po
M	help/ru/ru.po
M	help/sk/sk.po
M	help/sl/sl.po
M	help/sq/sq.po
M	help/sr/sr.po
M	help/sr@latin/sr@latin.po
M	help/sv/sv.po
M	help/ta/ta.po
M	help/th/th.po
M	help/tr/tr.po
M	help/uk/uk.po
M	help/vi/vi.po
M	help/wa/wa.po
M	help/xh/xh.po
M	help/zh_CN/zh_CN.po
M	help/zh_TW/zh_TW.po
M	help/zu/zu.po
M	po/af.po
M	po/am.po
M	po/ar.po
M	po/as.po
M	po/ast.po
M	po/az.po
M	po/be.po
M	po/bg.po
M	po/bn.po
M	po/bn_IN.po
M	po/br.po
M	po/bs.po
M	po/ca.po
M	po/ca@valencia.po
M	po/cmn.po
M	po/crh.po
M	po/cs.po
M	po/cy.po
M	po/da.po
M	po/de.po
M	po/dz.po
M	po/el.po
M	po/en_AU.po
M	po/en_CA.po
M	po/en_GB.po
M	po/eo.po
M	po/es.po
M	po/es_AR.po
M	po/es_CL.po
M	po/es_CO.po
M	po/es_CR.po
M	po/es_DO.po
M	po/es_EC.po
M	po/es_ES.po
M	po/es_MX.po
M	po/es_NI.po
M	po/es_PA.po
M	po/es_PE.po
M	po/es_PR.po
M	po/es_SV.po
M	po/es_UY.po
M	po/es_VE.po
M	po/et.po
M	po/eu.po
M	po/fa.po
M	po/fi.po
M	po/fr.po
M	po/frp.po
M	po/fur.po
M	po/fy.po
M	po/ga.po
M	po/gd.po
M	po/gl.po
M	po/gu.po
M	po/ha.po
M	po/he.po
M	po/hi.po
M	po/hr.po
M	po/hu.po
M	po/hy.po
M	po/ia.po
M	po/id.po
M	po/ie.po
M	po/ig.po
M	po/is.po
M	po/it.po
M	po/ja.po
M	po/ka.po
M	po/kab.po
M	po/kk.po
M	po/kn.po
M	po/ko.po
M	po/ks.po
M	po/ku.po
M	po/ku_IQ.po
M	po/ky.po
M	po/li.po
M	po/lt.po
M	po/lv.po
M	po/mai.po
M	po/mg.po
M	po/mi.po
M	po/mk.po
M	po/ml.po
M	po/mn.po
M	po/mr.po
M	po/ms.po
M	po/nb.po
M	po/nds.po
M	po/ne.po
M	po/nl.po
M	po/nn.po
M	po/nso.po
M	po/oc.po
M	po/or.po
M	po/pa.po
M	po/pl.po
M	po/pms.po
M	po/ps.po
M	po/pt.po
M	po/pt_BR.po
M	po/ro.po
M	po/ru.po
M	po/rw.po
M	po/sc.po
M	po/si.po
M	po/sk.po
M	po/sl.po
M	po/sq.po
M	po/sr.po
M	po/sr@latin.po
M	po/sv.po
M	po/ta.po
M	po/te.po
M	po/th.po
M	po/tk.po
M	po/tr.po
M	po/tt.po
M	po/ug.po
M	po/uk.po
M	po/ur.po
M	po/ur_PK.po
M	po/uz.po
M	po/vi.po
M	po/wa.po
M	po/xh.po
M	po/yi.po
M	po/yo.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po
M	po/zu.po

commit c5126b910462d0a67ff38df03e2779b78021b91f
Author: rbuj <robert.buj@gmail.com>
Date:	2022-07-25

    configure.ac: The macro 'AC_HELP_STRING' is obsolete

M	configure.ac

commit f63b8570efeb0c6135d9b6c4fa76061eb3e41e5d
Author: mbkma <johannes.unruh@fau.de>
Date:	2022-10-29

    tx: update resource

M	engrampa.pot
M	help/engrampa.pot

commit 2ad5cd1e5ac08c935a23f81a13979a2a874e5f9e
Author: mbkma <johannes.unruh@fau.de>
Date:	2022-10-28

    tx: migrate config file

M	.tx/config
C100	.tx/config	.tx/config_20221028215415.bak

commit 59eae69aeff064a1be7dc0d26b94d8484e941e69
Author: Joel Barrios Dueñas <darkshram@gmail.com>
Date:	2022-09-25

    Fix corrupted engrampa_main_window.png files in userguide for ca,
    de, el, fi, fr, it and uk.

M	help/ca/figures/engrampa_main_window.png
M	help/de/figures/engrampa_main_window.png
M	help/el/figures/engrampa_main_window.png
M	help/fi/figures/engrampa_main_window.png
M	help/fr/figures/engrampa_main_window.png
M	help/it/figures/engrampa_main_window.png
M	help/uk/figures/engrampa_main_window.png

commit 84b1bd2cdb55d1a293c7f19ee4585c1eeeac2879
Author: Valentin Villenave <vvillenave@hypra.fr>
Date:	2021-10-13

    Enable mouse-less navigation & reading for output dialogs

    We actually want a cursor to be displayed in case a
    screen reader is used with visual tracking.

M	src/fr-window.c

commit 6f8f4c8b3f82af1f0aa811cf190bc4b74678e267
Author: Valentin Villenave <vvillenave@hypra.fr>
Date:	2021-10-13

    Accessibility: add proper mnemonic relations and labelling

M	src/fr-window.c
M	src/ui/batch-add-files.ui
M	src/ui/new.ui
M	src/ui/properties.ui

commit bc3d0ca4b7c7672c20a1096ba614bf7b536ded74
Author: rbuj <robert.buj@gmail.com>
Date:	2021-12-22

    Fix implicit conversion changes signedness: 'gboolean'

M	src/fr-process.c
M	src/fr-window.c
M	src/fr-window.h

commit 4a860aca880cda22c6e1d97aa0d6471904943ceb
Author: raveit65 <mate@raveit.de>
Date:	2022-01-29

    CI: Drop -Wunused-parameter for debian build

M	.build.yml

commit bb78fe4cb464589ac9670a1f1d31ad52c6a4f3d8
Author: rbuj <robert.buj@gmail.com>
Date:	2021-10-22

    file-data: fix memory leak

M	src/file-data.c
M	src/fr-command-tar.c

commit 1aa50457dce4d00cde74f65ea41f59ab1fdfb659
Author: rbuj <robert.buj@gmail.com>
Date:	2021-10-22

    fr-command-tar: fix memory leak

M	src/fr-command-tar.c

commit db168aad4c8c06c8a8c3c2fe712050435665f103
Author: rbuj <robert.buj@gmail.com>
Date:	2021-10-21

    fr-window: fix memory leak

M	src/fr-window.c

commit 535e01ed893f6e67f73ae6a9de03e072d86b78e3
Author: rbuj <robert.buj@gmail.com>
Date:	2021-10-21

    dlg-package-installer: fix memory leak

M	src/dlg-package-installer.c

commit fa0265b4dee95f2ccc7a279fc1dedc27909929ab
Author: rbuj <robert.buj@gmail.com>
Date:	2021-10-28

    Fix build warnings about missing field initializer

M	src/main.c
M	src/server.c

commit 3664a2d2a6d2f18aaeadd355f2ae0bbf91b8a9c1
Author: rbuj <robert.buj@gmail.com>
Date:	2021-12-13

    Fix some -Wfloat-conversion warnings

M	src/dlg-batch-add.c
M	src/dlg-new.c
M	src/eggtreemultidnd.c
M	src/fr-window.c

commit d2a04c51cf8ee50a390248192fdfb9a427bec6a3
Author: rbuj <robert.buj@gmail.com>
Date:	2021-12-13

    Fix -Wimplicit-int-conversion warning

M	src/fr-command-7z.c
M	src/fr-command-ace.c
M	src/fr-command-alz.c
M	src/fr-command-ar.c
M	src/fr-command-arj.c
M	src/fr-command-cfile.c
M	src/fr-command-cpio.c
M	src/fr-command-dpkg.c
M	src/fr-command-iso.c
M	src/fr-command-jar.c
M	src/fr-command-lha.c
M	src/fr-command-lrzip.c
M	src/fr-command-nomarch.c
M	src/fr-command-rar.c
M	src/fr-command-rpm.c
M	src/fr-command-tar.c
M	src/fr-command-unarchiver.c
M	src/fr-command-unstuff.c
M	src/fr-command-zip.c
M	src/fr-command-zoo.c
M	src/fr-command.c
M	src/fr-command.h
M	src/java-utils.c
M	src/typedefs.h

commit 8486b323df39467c007a59a1b97b16da36ddeea5
Author: rbuj <robert.buj@gmail.com>
Date:	2021-12-13

    build: fix -Wmissing-prototypes warning

A	.build.yml
A	.github/FUNDING.yml
A	.github/issue_template.md
A	.gitmodules
A	.travis.yml
A	.tx/config
A	AUTHORS
A	COPYING
A	HACKING
A	Makefile.am
A	NEWS
A	README
A	README-DISTRIBUTIONS
A	autogen.sh
A	caja/Makefile.am
A	caja/caja-engrampa.c
A	caja/caja-engrampa.h
A	caja/engrampa-module.c
A	caja/libcaja-engrampa.caja-extension.desktop.in.in
A	configure.ac
A	data/Makefile.am
A	data/engrampa.1
A	data/engrampa.appdata.xml.in.in
A	data/engrampa.desktop.in.in
A	data/icons/16x16/actions/add-files-to-archive.png
